SERGIOIGLESIAS

Blog sobre Joomla

Cómo cambiar a PHP 7 tu XAMPP con PHP 5

@sergiois Recomendaciones 2 - 4 minutos Visto: 55651

En este artículo te muestro cómo actualizar la versión de PHP de tu XAMPP: de 5 a 7 (en 5 minutos). En 5 pasos estarás actualizado.

Tengo que decirte antes de meterme en materia, que si te instalas las últimas versiones de este programa no tendrás que hacer estos pasos ya que contarás con la última versión de PHP instalada por defecto.

También te comento que si quieres ver cómo crear un entorno de desarrollo Joomla en tu ordenador personal con XAMPP puedes ver este artículo que escribí hace algún tiempo.

Cómo cambiar a PHP7 tu XAMPP con PHP5 Tuitéalo

Para ponerte en situación, te diré que llevo bastante tiempo utilizando XAMPP para mis desarrollos en local.

Por tanto, si eres como yo, seguro que tienes una versión de PHP que no es la última. En mi caso era la versión 5.6.30.

También se da el caso que no quería instalar las últimas versiones del software, pero necesitaba tener una versión de PHP actualizada.

Así que, a continuación, te explico los pasos que tienes que dar para pasar de PHP 5 a PHP 7.

Esto siempre es interesante ya que los hosting (servidores donde vas a subir tus sitios web para que estén online y todo el mundo pueda verlo) disponen ya de estas versiones.

Y, a parte, porque PHP 7 tiene una serie de ventajas (entre otras, las que te dejo en el siguiente punto).

Ventajas de PHP 7 frente a PHP 5

  • Podrás instalar y probar la próxima versión de Joomla, la versión 4, (ya que solo funciona a partir de PHP 7).
  • Mejoras en rendimiento y velocidad.
  • Dispones de las últimas funcionalidades.

Después de ver todas estas ventajas creo que estarás de acuerdo conmigo en que necesitamos tener esta versión para nuestros desarrollos.

Vamos a ver cómo hacerlo.

Pasos para actualizar XAMPP a PHP 7

Primeramente te muestro la información que lanza mi servidor local al hacer un phpinfo.

Información de phpinfo - PHP 5.6.30

Y ahora... te muestro los pasos.

Paso 1: Descargar y descomprimir

Lo primero de todo es descargar la versión de PHP que necesites instalar.

En este ejemplo vamos a utilizar la versión 7.1.12

Para ello, tienes que ir a la pagina http://windows.php.net/download/ y descargar esa versión.

Página de descarga de PHP

Como puedes ver en la imagen anterior, tendrías que hacer clic en el enlace de "Download source code" que viene debajo de "PHP 7.2" (la versión que tengo yo es anterior, pero los pasos son los mismos).

Paso 2: Renombrar carpeta

Una vez hayas hecho el paso anterior, tienes que ir a XAMPP y renombrar la carpeta que se llama "php" a "php5" (esto lo hago así porque versión que tenía, si recuerdas, era la 5.6.30).

De esta forma protegemos la carpeta php orirginal por si la necesitáramos en algún futuro.

NOTA: para encontrar la carpeta "php" tienes que ir a C:\xampp.

Renombrar carpeta php de XAMPP

Paso 3: Cambiar carpeta

En este paso tienes que pegar en esta carpeta, C:\xampp, el directorio php que te has descargado en el paso 1 (y que contiene la nueva versión de PHP).

Simplemente tienes que descomprimir el ZIP que te has descargado y copiar y pegar la carpeta que contiene dentro.

Eso sí, no se te olvide que, una vez la hayas pegado, tendrás que renombrarla a "php" para que XAMPP pueda interpretarla (lo normal es que la carpeta que contiene el ZIP venga nombrada de la siguiente forma: "php-7.2.9-src").

Paso 4: Cambiar configuración

Ya tenemos la versión 7 de PHP en XAMPP, pero tienes que configurarlo para que pueda usarse.

Para ello tienes que abrir el archivo "httpd-xampp.conf" con tu editor de texto favorito.

La ruta en la que se encuentra este archivo es C:\xampp\apache\conf\extra\.

Desde el editor tienes que cambiar donde dice "php5" a "php7".

Fichero httpd-xampp

Paso 5: Reiniciar Apache

Por último, solo tienes que ir a tu panel de control de XAMPP y reiniciar el servidor Apache.

Panel de control de XAMPP

Tan solo tienes que hacer clic en el botón de "Stop" y luego en el botón de "Start" para reiniciarlo.


Después de realizar estos pasos ya está todo. Ahora, al lanzar de nuevo un phpinfo, puedes ver cómo ha cambiado la versión y ya podrás disfrutar de todas sus ventajas.

Información de phpinfo - PHP 7.1.12

¿Quieres saber cómo cambiar a PHP7 tu XAMPP con PHP5? Tuitéalo

Venga! Ya que has llegado hasta aquí, te animo a que pruebes la versión 4 de nuestro CMS favorito.

En el enlace anterior tienes todas las Releases de Joomla.

Busca la versión 4 y descárgala (en el momento de escribir este artículo la última versión que tienes disponible es Joomla 4.0 Alpha 4).


[Actualización: 03/09/2019]

Gracias a Phoncadiz podemos ver este vídeo en el que se explican estos mismos pasos.

¿Te ha gustado el artículo?

Suscríbete a mi newsletter y recibe contenido exclusivo.
Podrás hacer gratis un Curso de desarrollo de plantillas Joomla.

18 comentarios

  1. Miércoles, 27 Enero 2021 20:39
    [quote name=&quot;Fernando&quot;]Buen día una consulta en mi empresa trabajo con sistemas que trabajan con xampp 1.7.3 de manera local solo en mi servidor, y se me dificulta mucho tener que migrar todos mis sistemas a una version actual se puede seguir trabajando con la 1.7.3 es recomendable. Saludos....[/quote]<br />Hola Fernando, gracias por escribir.<br />La verdad que no sabría decirte. Yo llevo mucho tiempo con la 3.2.2 y, en principio, no he tenido problemas a medida que he ido actualizando PHP y MySQL.<br />En breve espero ponerme a cambiar la versión de la rama 7 a la 8 (ya os contaré los cambios que haya tenido que hacer).
  2. Martes, 26 Enero 2021 15:28
    Buen día una consulta en mi empresa trabajo con sistemas que trabajan con xampp 1.7.3 de manera local solo en mi servidor, y se me dificulta mucho tener que migrar todos mis sistemas a una version actual se puede seguir trabajando con la 1.7.3 es recomendable. Saludos....
  3. Miércoles, 11 Noviembre 2020 04:19
    Gracias, mil gracias
  4. Lunes, 20 Julio 2020 07:19
    [quote name=&quot;hector&quot;]Gracias por la info, Sergio.<br />Una pregunta..<br />Al hacer el cambio de 5.6 a 7.2 php, la version 7.2 utiliza la misma sintaxis de 5.6, o se tendria que hacer cambios en el codigo?<br />Saludos[/quote]<br />Hola Hector,<br />En principio no hace falta hacer ningún cambio. Eso sí, te recomiendo que vayas echando un vistazo a la versión 4 de Joomla ya que ahí sí que habrá que adaptar determinadas cosas.<br />Un saludo,
  5. Lunes, 20 Julio 2020 03:09
    Gracias por la info, Sergio.<br />Una pregunta..<br />Al hacer el cambio de 5.6 a 7.2 php, la version 7.2 utiliza la misma sintaxis de 5.6, o se tendria que hacer cambios en el codigo?<br />Saludos
  6. Jueves, 05 Marzo 2020 20:18
    Hola Antonio,<br />Gracias por comentar. Me temo que no uso MAC, por lo que no puedo guiarte en ese sentido. Lo que sí te comento es mucha gente que conozco que usa este OS utiliza MAMP (https://www.mamp.info) en lugar de XAMPP.<br />Salu2!!
  7. Jueves, 05 Marzo 2020 12:20
    Muy interesante Sergio, me puedes indicar como hacer esto en un mac os. Gracias.
  8. Jueves, 07 Noviembre 2019 12:52
    En el vídeo hay pasos que no están en el texto. Siguiendo el texto no me funcionó, siguiendo el vídeo sí. <br />En concreto, las diferencias que he encontrado son: <br />1) Elegir la versión php adecuada, que hay varias que se pueden descargar (en el vídeo explica cómo saberlo). <br />2) Copiar los archivos (no carpetas) de "php" en la carpeta "apache". <br /><br />Haciendo esto, me funcionó. Si no, me daba un error que comentaban por ahí más gente en los comentarios.
  9. Sábado, 05 Octubre 2019 10:56
    Hola Rita,<br />Siento no poder ser de ayuda. Yo intentaría buscar esta variable para ver qué tiene como valor. Parece como si hubiera problema con su tamaño. Haz alguna búsqueda en Google de la variable; seguro que algo encuentras.<br />Un saludo,
  10. Viernes, 04 Octubre 2019 15:25
    Hola Sergio, a pesar de que "funciona" me da este error:<br /><br />No se encuentra el punto de entrada del procedimiento nghttp2_sesión_set_local_windows_size en la biblioteca de vínculos dinámicos C:\XAMPP\php\ext\php_curl.dll<br /><br />¿Podrías ayudarme con ello? Mil gracias por adelantado
  11. Lunes, 02 Septiembre 2019 14:48
    [quote name=&quot;Domingo Calicchio&quot;]Efectivamente como dice Javier, el servicio de Apache se queda inicializando y nunca termina de estar corriendo. Que ocurre?[/quote]<br /><br />A mí me pasaba lo mismo y al final resultó que no me bajé la versión correcta de php. Echa un vistazo al vídeo: https://www.youtube.com/watch?v=NtQ-6vkQRRo
  12. Jueves, 29 Agosto 2019 16:23
    Efectivamente como dice Javier, el servicio de Apache se queda inicializando y nunca termina de estar corriendo. Que ocurre?
  13. Domingo, 28 Julio 2019 00:45
    Hola, gracias por el tutorial pero, seguí los pasos indicados y no puedo iniciar Apache.<br />Copio a continuación la secuencia de ejecuciones relevante de mi Control Panel:<br /><br />19:38:00 [main] Initializing Control Panel<br />[...]<br />19:38:00 [main] Control Panel Ready<br />19:38:05 [Apache] Attempting to start Apache app...<br />19:38:06 [Apache] Status change detected: running<br />19:38:06 [Apache] Status change detected: stopped<br />19:38:06 [Apache] Error: Apache shutdown unexpectedly.<br />19:38:06 [Apache] This may be due to a blocked port, missing dependencies, <br />19:38:06 [Apache] improper privileges, a crash, or a shutdown by another method.<br />19:38:06 [Apache] Press the Logs button to view error logs and check<br />19:38:06 [Apache] the Windows Event Viewer for more clues<br />19:38:06 [Apache] If you need more help, copy and post this<br />19:38:06 [Apache] entire log window on the forums
  14. Jueves, 02 Mayo 2019 17:46
    Hola, seguí todos tus pasos, pero a la hora de iniciar apache da un error
  15. Martes, 12 Marzo 2019 10:32
    Hola WILLIAM!<br /><br />Gracias por escribir en este blog. Con respecto a tu pregunta decirte que puede que sí afecte. Todo depende de cómo esté desarrollado el proyecto en cuestión. Si el proyecto tiene funciones obsoletas (que están en la versión 5.x pero no en 7.x) dejará de funcionar de forma correcta, te dará errores...<br /><br />Espero haberte contestado.<br /><br />Un saludo,
  16. Martes, 12 Marzo 2019 10:25
    Si tengo un proyecto xampp en version php 5.6 y lo monto a un servidor web que tiene php version 7, ¿esto me afecta el proyecto? y porque. gracias
  17. Martes, 09 Octubre 2018 08:21
    Hola Pascual,<br />Gracias por comentar!! Lamento haber llegado tarde pero, como bien dices, más vale tarde que nunca.<br />Salu2!!
  18. Lunes, 08 Octubre 2018 23:14
    Hola Sergio<br /><br />Qué bien me hubiera ido este artículo hace unos meses como no sabía como hacerlo tuve que copiar tablas, exportar.<br />Borrar XAMPP e instalar la nueva versión.<br />Ahora se como realizarlo, más vale tarde que nunca<br /><br />Un saludo

Artículos relacionados

Solicita presupuesto

¿Quieres una página web que funcione?

Contacta conmigo y hablemos de tu proyecto.